import {
  colorPaletteConfigSlice,
  graphQueryResultSlice,
} from '@graphpolaris/shared/data-access/store';
import { GraphPolarisThemeProvider } from '@graphpolaris/shared/data-access/theme';
import { configureStore } from '@reduxjs/toolkit';
import { ComponentMeta, ComponentStory } from '@storybook/react';
import { Provider } from 'react-redux';

import SemanticSubstrates from './semanticsubstrates';

export default {
  /* 👇 The title prop is optional.
   * See https://storybook.js.org/docs/react/configure/overview#configure-story-loading
   * to learn how to generate automatic titles
   */
  title: 'SemanticSubstrates',
  component: SemanticSubstrates,
  decorators: [
    (story) => (
      <Provider store={Mockstore}>
        <GraphPolarisThemeProvider>{story()}</GraphPolarisThemeProvider>
      </Provider>
    ),
  ],
} as ComponentMeta<typeof SemanticSubstrates>;

const Mockstore = configureStore({
  reducer: {
    colorPaletteConfig: colorPaletteConfigSlice.reducer,
    graphQueryResult: graphQueryResultSlice.reducer,
  },
});
const Template: ComponentStory<typeof SemanticSubstrates> = (args) => (
  <SemanticSubstrates />
);

export const Primary = Template.bind({});

Primary.args = {
  content: 'Testing header #1',
};

export const Secondary = Template.bind({});

Secondary.args = {
  content: 'Testing header number twoooo',
};
